Bug 220401 - No possibility to remove the "AcceptAll FileFilter" via FileChooserBuilder
No possibility to remove the "AcceptAll FileFilter" via FileChooserBuilder
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Open File
7.3
All All
: P3 (vote)
: 7.3
Assigned To: Tomas Mysik
issues@utilities
: API, API_REVIEW_FAST
Depends on:
Blocks: 216141
  Show dependency treegraph
 
Reported: 2012-10-19 07:55 UTC by Tomas Mysik
Modified: 2012-10-31 02:57 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
API change (4.89 KB, patch)
2012-10-19 07:57 UTC, Tomas Mysik
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Mysik 2012-10-19 07:55:52 UTC
To fix issue #216141, I need to be able to remove the default "All Files" filter but this is currently not possible via the FileChooserBuilder class. This is also the reason why I am filing it a defect and not as an enhancement.

I know that I could simply createFileChooser() and then remove the filter but if one looks at the showOpenDialog() method, it is clear that this method should be called (to correctly open the native file chooser etc.). Moreover, this API change is very small.

Thanks, I will attach a patch.
Comment 1 Tomas Mysik 2012-10-19 07:57:35 UTC
Created attachment 126175 [details]
API change

Proposed fix
Comment 2 Tomas Mysik 2012-10-19 07:59:52 UTC
Please review. Jardo, feel free to assign to me if you think that the patch is OK.

Thanks.
Comment 3 Tomas Mysik 2012-10-19 08:36:59 UTC
Adding Jarda Tulach to CC since the change is in fact in the FS module.

Thanks.
Comment 4 Tomas Mysik 2012-10-19 08:37:26 UTC
Also assigning to myself.
Comment 5 Jaroslav Havlin 2012-10-19 08:38:49 UTC
I think that the patch is OK.
Thank you, Tomas.
Comment 6 Jaroslav Tulach 2012-10-19 13:13:50 UTC
Seems OK to me.
Comment 7 Tomas Mysik 2012-10-30 09:29:04 UTC
Fixed. Thanks for the review.

http://hg.netbeans.org/web-main/rev/fc649a0fde3e
Comment 8 Quality Engineering 2012-10-31 02:57:39 UTC
Integrated into 'main-golden', will be available in build *201210310001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/fc649a0fde3e
User: Tomas Mysik <tmysik@netbeans.org>
Log: #220401 - No possibility to remove the "AcceptAll FileFilter" via FileChooserBuilder


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo